<?php

class Personel extends CI_Controller {

    public function __construct()
    {
        parent::__construct();

        $this->load->model("personel_model");
    }

    public function index(){


        $list = $this->personel_model->get_all();

        $viewData["list"] = $list;

        $this->load->view("personel_liste", $viewData);

    }

    public function insert_form(){

        $this->load->view("personel_ekle");

    }

    public function insert(){

        $personel_ad = $this->input->post("personel_ad");
        $email       = $this->input->post("email");
        $telefon     = $this->input->post("telefon");
        $departman   = $this->input->post("departman");
        $adres       = $this->input->post("adres");

        $data = array(
            "personel_ad"   => $personel_ad,
            "email"         => $email,
            "telefon"       => $telefon,
            "departman"     => $departman,
            "adres"         => $adres
        );

        $insert = $this->personel_model->insert($data);


        if($insert){
            echo "Ekleme İşlemi Başarılıdır.. Personel Listesine dönmek için <a href='" . base_url() . "'>tıklayınız</a>";
        }else{
            echo "Ekleme İşlemi Başarısızdır.. Personel Listesine dönmek için <a href='" . base_url() . "'>tıklayınız</a>";
        }


    }

    public function update_form($id){


        $where = array("id" => $id);

        $personel = $this->personel_model->get($where);

        $viewData["personel"]  = $personel;

        $this->load->view("personel_duzenle", $viewData);

    }

    public function update(){

    }

    public function delete(){

    }

    public function order(){

    }


}
